Bug 458896 - keychain installation does not support usage on remote systems
keychain installation does not support usage on remote systems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: keychain (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Dalloz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-12 20:14 EDT by David Cartwright
Modified: 2009-01-09 01:43 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:43:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Cartwright 2008-08-12 20:14:07 EDT
Description of problem:
Installed keychain on a remote 2.6.24.5-85.fc8 system. Unlike previous experience with keychain, upon reboot, remote headless machine could be pinged, but would not allow SSH access.

Upon travelling for 3 hours to remote site, it was discovered that this version of keychain requires entry of passphrase near beginning beginning of system startup, e.g. before most services such as SSH are active.

Therefore, in default configuration it is impossible to use keychain on a remote system unless one also has remote access to the boot sequence in order to enter the passphrase. My impression is that most users won't have remote access to the boot sequence.


Version-Release number of selected component (if applicable):
yum installed keychain version 2.6.8-2.fc7


How reproducible:
When onsite, rebooted system a couple of times and every time keychain required entry of passphrase very early in boot sequence.


Steps to Reproduce:
1. Install and configure keychain with passphrase on remote system
2. Reboot remote system
  
Actual results:
Remote system is inaccessible via SSH

Expected results:
System should at least allow SSH access even though keychain passphrase has not yet been entered


Additional info:
Comment 1 Bug Zapper 2008-11-26 06:05:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:43:25 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.